# PhasicFlow: triWall Struct Reference

triWall Struct Reference
Collaboration diagram for triWall:
[legend]

## Public Member Functions

INLINE_FUNCTION_H | triWall (const realx3 &p1, const realx3 &p2, const realx3 &p3)
INLINE_FUNCTION_HD | triWall (bool, const realx3 &p1, const realx3 &p2, const realx3 &p3)
INLINE_FUNCTION_HD | triWall (const realx3x3 &tri)
INLINE_FUNCTION_HD | triWall (const triWall &)=default
INLINE_FUNCTION_HD triWall & | operator= (const triWall &)=default
INLINE_FUNCTION_HD | triWall (triWall &&)=default
INLINE_FUNCTION_HD triWall & | operator= (triWall &&)=default
INLINE_FUNCTION_HD | ~triWall ()=default
INLINE_FUNCTION_HD real | normalDistFromWall (const realx3 &p) const
INLINE_FUNCTION_HD realx3 | nearestPointOnWall (const realx3 &p) const

## Static Public Member Functions

static INLINE_FUNCTION_HD bool | makeWall (const realx3 &p1, const realx3 &p2, const realx3 &p3, realx3 &n, real &offset)

## Public Attributes

realx3 | n_
real | offset_

## Detailed Description

Definition at line 29 of file triWall.hpp.

## Constructor & Destructor Documentation

## triWall() [1/5]

INLINE_FUNCTION_H triWall | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3
| ) |  |

inline

Definition at line 36 of file triWall.hpp.

References fatalErrorInFunction, fatalExit, triWall::makeWall(), triWall::n_, and triWall::offset_.

Here is the call graph for this function:

## triWall() [2/5]

INLINE_FUNCTION_HD triWall | ( | bool | ,
|  | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3
| ) |  |

inline

Definition at line 47 of file triWall.hpp.

References triWall::makeWall(), triWall::n_, and triWall::offset_.

Here is the call graph for this function:

## triWall() [3/5]

INLINE_FUNCTION_HD triWall | ( | const realx3x3 & | tri | ) |

inline

Definition at line 53 of file triWall.hpp.

References triWall::makeWall(), triWall::n_, triWall::offset_, triple< T >::x_, triple< T >::y_, and triple< T >::z_.

Here is the call graph for this function:

## triWall() [4/5]

INLINE_FUNCTION_HD triWall | ( | const triWall & |  | ) |

default

## triWall() [5/5]

INLINE_FUNCTION_HD triWall | ( | triWall && |  | ) |

default

## ~triWall()

INLINE_FUNCTION_HD ~triWall | ( |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

INLINE_FUNCTION_HD triWall& operator= | ( | const triWall & |  | ) |

default

## operator=() [2/2]

INLINE_FUNCTION_HD triWall& operator= | ( | triWall && |  | ) |

default

## normalDistFromWall()

INLINE_FUNCTION_HD real normalDistFromWall | ( | const realx3 & | p | ) | const

inline

Definition at line 75 of file triWall.hpp.

References dot(), triWall::n_, and triWall::offset_.

Referenced by pFlow::sphTriInteraction::isSphereInContactActiveSide(), and pFlow::sphTriInteraction::isSphereInContactBothSides().

Here is the call graph for this function:
Here is the caller graph for this function:

## nearestPointOnWall()

INLINE_FUNCTION_HD realx3 nearestPointOnWall | ( | const realx3 & | p | ) | const

inline

Definition at line 81 of file triWall.hpp.

References dot(), triWall::n_, triWall::offset_, triple< T >::x_, triple< T >::y_, and triple< T >::z_.

Referenced by pFlow::sphTriInteraction::isSphereInContactActiveSide(), and pFlow::sphTriInteraction::isSphereInContactBothSides().

Here is the call graph for this function:
Here is the caller graph for this function:

## makeWall()

static INLINE_FUNCTION_HD bool makeWall | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | realx3 & | n,
|  | real & | offset
| ) |  |

inlinestatic

Definition at line 88 of file triWall.hpp.

References cross(), dot(), length(), and n.

Referenced by triWall::triWall().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## n_

realx3 n_

Definition at line 32 of file triWall.hpp.

Referenced by pFlow::sphTriInteraction::isSphereInContactActiveSide(), pFlow::sphTriInteraction::isSphereInContactBothSides(), triWall::nearestPointOnWall(), triWall::normalDistFromWall(), and triWall::triWall().

## offset_

real offset_

Definition at line 33 of file triWall.hpp.

Referenced by triWall::nearestPointOnWall(), triWall::normalDistFromWall(), and triWall::triWall().

The documentation for this struct was generated from the following file:

- src/Interaction/sphereInteraction/triWall.hpp